within TAeZoSysPro_testsuite.PDE;

model test_UpwindFirstOrder
  parameter Modelica.SIunits.Velocity Vel = 1;
  parameter Modelica.SIunits.Length L = 1 "Length of the domain";
  parameter Integer N = 5 "Number of discrete layer";
    
  TAeZoSysPro.PDE.Transport.UpwindFirstOrder transport(
    CoeffTimeDer = 1,
    CoeffSpaceDer = Vel,
    N = N,
    N_quantity = 2,
    x = linspace(0, L, N+1),
    SourceTerm = fill(0.0, N)) annotation(
    Placement(visible = true, transformation(origin = {0, 0}, extent = {{-20, -20}, {20, 20}}, rotation = 0)));

initial equation

  transport.u[2:N, 1] = fill(0.0, N-1);
  transport.u[2:N, 2] = fill(0.0, N-1);

equation

// Boundary conditions
  transport.u[1,1] = 1;
  transport.u[1,2] = 1;
  transport.u[N+1,1] = transport.u[N,1];
  transport.u[N+1,2] = transport.u[N,2];  

end test_UpwindFirstOrder;
